
COMPILER = {
    'compile': 'g++ -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm',
    'debug'  : 'g++ -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm',
    'profile': 'g++ -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'mpiCC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm',
    'debug'  : 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm',
    'profile': 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -lfftw3 -lm -pg',
    'libs'   : ''
}

MPI_RUN = 'mpirun %(cmd)s'

WALLTIME = '1'
MEMORY   = '1024'

JOB_SUBMIT = 'bsub -n %(nprocs)d -W %(walltime)d:00 -R "rusage[mem=%(memory)d]" %(xopts)s %(cmd)s'

# JOB_SUBMIT = 'bsub -n %(nprocs)d -W %(walltime)d:00 -R "span[ptile=%(ptile)d] rusage[mem=%(memory)d]" %(xopts)s %(cmd)s'

CLUSTER = 'Brutus (ETH Zurich)'
