
/* EQUATION SPECIFIC FVM routines
 * Burgers' (scalar nonlinear conservation law)
 */

///::title:: Burgers' (scalar nonlinear conservation law)

#include "equation.h"

void time_invariant_vars_init () {}

void apply_constraints (ConservedVars &CV, XtraVars &XV)
{
  // Constraints for ConservedVars
  /* nothing */
  // Constraints for XtraVars
  if (XV.E < 0.0) XV.E = 0.0;
}

#if INDICATOR == 1
// u
real indicator(int i, int j, int k, int d)
{
  ConservedVars &Uijk = U[i][j][k];
  return Uijk.u;
}
#endif

void bc_fix (int i, int j, int k, int l, int m, int n) {}
