
#ifndef MATERIAL_H
#define MATERIAL_H

#include "numtypes.h"

// defined in corresponding material_*.cpp

real c (real x, real y, real z); // for BUFFERED_MATERIAL=0 (default)
void material_c_init ();         // for BUFFERED_MATERIAL=1 (for periodic BC only)

// defined in material.cpp

// evaluation of material c at specific cells
// WARNING: boundary conditions need to be implemented inside as well, since XtraVars are computed from ConservedVars obtained after applying b.c.
real c (const int &i, const int &j, const int &k);

#endif
