
#include "equation.h"
#include "chaos.h"

///::title:: Sine wave initial data (stochastic)
///::vars:: NX=512 MAXT=4
///::consts:: MAXX=2 N_UNIFORM=1 N_NORMAL=0
///::bc:: NEUMANN

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.u = chaos.uniform[0]*sin(pi*x);
}
