
#include "equation.h"

///::title:: Sine wave (1D version)
///::vars:: NX=512 MAXT=2.0
///::consts:: MAXX=2 N_UNIFORM=0 N_NORMAL=0
///::vars:: SMOOTH_SOLUTION=1
///::bc:: REPEAT

// p_0     = sin(pi*x);
// (p_0)_t = 0;

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.p    = sin(pi*x);
  v.u[X] = 0.0;
}
