
#include "equation.h"
#include "space.h"

///::title:: First Order in Space
///::depends:: time_o1 quadrature_o2 powell_o1
///::consts:: ORDER=1

void left(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}

void right(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}
