
///::title:: Threshold (for Shallow Water equations)
///::vars:: WATER_LEVEL_THRESHOLD=1.002
///::consts:: COMPUTE_VARIANCE=0

#include "stats.h"
#include "equation.h"

void compute_events (volume <ConservedVars, 1> &U) {
  for (int i = 0; i < NXl; i++)
    for (int j = 0; j < NYl; j++)
      U[i][j][0].h = (U[i][j][0].h + Xtra[i][j][0].b > WATER_LEVEL_THRESHOLD) ? 1.0 : 0.0;
}

void compute_events (volume <XtraVars, 1> &X) {}
