
#include "equation.h"
#include "chaos.h"

///::title:: Sine wave initial data (deterministic)
///::vars:: NX=512 MAXT=4
///::consts:: MAXX=2
///::bc:: NEUMANN

void initial_data (PrimitiveVars &v, real x, real y, real z)
{
  v.u = sin(pi*x);
}
