
#ifndef MPI_HELPER
#define MPI_HELPER

// === timers

void resume_timer_mpi_ddm  ();
void halt_timer_mpi_ddm    ();

void resume_timer_mpi_mc   ();
void halt_timer_mpi_mc     ();

void resume_timer_mpi_mlmc ();
void halt_timer_mpi_mlmc   ();

void resume_timer_mpi_idle ();
void halt_timer_mpi_idle   ();

// === other

void multi_set_first_and_last_level ();

int get_nodes_down_to_level (int l);

void get_group_nodes (const int multix, const int multiy, const int multiz, int *group_nodes);

#endif
