
#include "equation.h"
#include "solver.h"

///::title:: FDM solver, Central Difference Quotient | for Wave

ConservedVars lF, rF;

void solver_calc_flux(ConservedVars &F, vector &us, vector &Bs,
                      const AllVariables &lV, const AllVariables &rV,
                      int i, int j, int k, int d)
{
  calc_point_flux(lF, rV, d);
  calc_point_flux(rF, rV, d);
  
  F = (lF + rF) / 2.0;
}
