
#include "equation.h"
#include "space.h"

///::title:: First Order Finite Differences (with SSP-RK2)
///::depends:: time_o3 quadrature_o2 powell_o23
///::consts:: ORDER=1 GHOST_SIZE=1
///::vars:: CFL=0.475

void left(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}

void right(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}
